iTunes

Opening the iTunes Store.If iTunes doesn’t open, click the iTunes icon in your Dock or on your Windows desktop.Progress Indicator
Opening the iBooks Store.If iBooks doesn't open, click the iBooks app in your Dock.Progress Indicator
iTunes

iTunes is the world's easiest way to organize and add to your digital media collection.

We are unable to find iTunes on your computer. To download the free app Vocational Nursing Inst. by Appsme Ltd, get iTunes now.

Do you already have iTunes? Click I Have iTunes to open it now.

I Have iTunes Free Download

Vocational Nursing Inst.

By Appsme Ltd

This app is only available on the App Store for iOS devices.

Description

This school currently offers the Vocational Nursing (LVN) , Nurse Aide (C.N. A.) and Medical Administrative Assistant (CMAA) programs (coming soon). Upon graduation a certificate of completion is issued. The student then must successfully pass the State or National exam to become licensed or certified. We are fully accredited through the Council Of Occupational Education,
(COE), offer Workforce solutions grants with Workforce (see their eligibility requirements and link on our website) , and are
approved by the VA for the GI Bill and the Department of Education for
Pell Grants, Campus based funds, and Direct Loans.
The Vocational Nursing Institute, Inc. is conveniently located off of Highway 290 and Jones Rd. It is accessible from West Road off of I 45, Beltway 8 and 290, and has been approved since August 2010 to provide curriculum to its students. We are a regional testing site for the Nurse Aide and Medical Admin Asst program to schools in the area.

What's New in Version 2.8

Bug fixes.
General stability updates.

iPhone Screenshots

iPhone Screenshot 1
iPhone Screenshot 2
iPhone Screenshot 3
iPhone Screenshot 4
iPhone Screenshot 5
Vocational Nursing Inst.
View in iTunes
  • Free
  • Category: Business
  • Updated:
  • Version: 2.8
  • Size: 23.9 MB
  • Languages: English, Danish, Dutch, French, German, Hebrew, Italian, Norwegian Bokmål, Polish, Portuguese, Russian, Simplified Chinese, Spanish, Swedish, Turkish
  • Developer:

Compatibility: Requires iOS 7.0 or later. Compatible with iPhone, iPad and iPod touch.

Customer Ratings

This application has not received enough ratings to display a summary.